<template>
  <fragment>
    <aside id="sidebar" sticky-container>
      <div v-sticky class="sidebar-inner">
        <router-link :to="{ name: 'profile' }" class="sidebar-profile">
          <div class="profile-image">
            <div
              v-if="hasUserData && user.avatar"
              class="the-img"
              :style="{ backgroundImage: `url(${user.avatar})` }"
            />
            <i v-else class="ic-user icon-avatar" />
          </div>
          <div class="profile-name text-truncate">
            <span class="font-13">
              {{ userName }}
            </span>
            <p class="mb-0 mt-2">
              <i class="ic-settings ml-1 font-12" />
              <small class="align-middle">پروفایل من</small>
            </p>
          </div>
        </router-link>
        <ul class="sidebar-nav">
          <li v-for="item in menu" :key="item.icon">
            <router-link :to="{ name: item.route }">
              <i :class="item.icon" class="icon" />
              <span>{{ item.title }}</span>
            </router-link>
          </li>
        </ul>
        <section class="socials">
          <ul>
            <li>
              <a
                href="https://instagram.com/drkermany"
                target="_blank"
                class="ic-instagram"
              />
            </li>
            <li>
              <a
                href="https://t.me/drkermany"
                target="_blank"
                class="ic-telegram"
              />
            </li>
          </ul>
        </section>
      </div>
    </aside>
    <div class="sidebar-overlay" @click="active = false" />
  </fragment>
</template>

<script>
import { mapGetters, mapState } from 'vuex'
export default {
  name: 'Sidebar',
  data() {
    return {
      menu: [
        {
          icon: 'ic-target-2',
          route: 'target',
          title: 'تعیین هدف'
        },
        {
          icon: 'ic-scales',
          route: '',
          title: 'تــــرازو'
        },
        // {
        //   icon: 'ic-share',
        //   route: '',
        //   title: 'اشتراک'
        // },
        {
          icon: 'ic-call',
          route: 'contact',
          title: 'تماس با ما'
        },
        {
          icon: 'ic-info-circle',
          route: 'about',
          title: 'درباره زیره'
        },
        {
          icon: 'ic-comment',
          route: '',
          title: 'ثبت نظر'
        }
      ]
    }
  },
  computed: {
    userName() {
      if (!this.hasUserData) return 'کاربر میهمان'
      if (!this.user.name && !this.user.family) return 'کاربر جدید'
      return `${this.user.name} ${this.user.family}`
    },
    ...mapState({ user: state => state.user.data }),
    ...mapGetters({ hasUserData: 'user/hasData' })
  },
  syncStore: ['active:showSidebar']
}
</script>
